Class Index | File Index

## Classes

- _global_
- mxn
- mxn.BoundingBox
- mxn.Event
- mxn.Geocoder
- mxn.Invoker
- mxn.LatLonPoint
- mxn.Mapstraction
- mxn.Marker
- mxn.Polyline
- mxn.Radius
- mxn.util
- mxn.util.Color

# Class mxn.Radius

Defined in: mxn.core.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| mxn.Radius(center, quality) Creates a new radius object for drawing circles around a point, does a lot of initial calculation to increase load time

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getPolyline(radius, color) Returns polyline of a circle around the point based on new radius

Class Detail
mxn.Radius(center, quality)
Creates a new radius object for drawing circles around a point, does a lot of initial calculation to increase load time

Parameters:
{LatLonPoint} center
  LatLonPoint of the radius
{Number} quality
  Number of points that comprise the approximated circle (20 is a good starting point)

Method Detail
{Polyline} getPolyline(radius, color)
Returns polyline of a circle around the point based on new radius

Parameters:
{Radius} radius
{Color} color

Returns:
  {Polyline} Polyline

©2009
Documentation generated by JsDoc Toolkit 2.1.1 on Wed Jul 13 2011 23:10:53 GMT+0100 (BST)